Get Events

Paginated list of events, filterable.
Sortable fields: homeTeam, awayTeam, date, competition, broadcaster, deadline, status, venue.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Client identifier.

Query Params
date-time

If used, the endpoint will return events that begin on or after the specified date and time. Use a timestamp in the RFC3339 format (e.g. 2030-12-31T23:59:59Z)

date-time

If used, the endpoint will return events that begin before the specified date and time. Use a timestamp in the RFC3339 format (e.g. 2030-12-31T23:59:59Z)

date-time

Similar to startDate in that it will return events that begin on or after the specified timestamp in the RFC3339 format. However, unlike startDate, it will also include all events where status: "Postponed". This is because a postponed event might continue to have a date in the past until a new date is confirmed.

date-time

Similar to endDate in that it will return events that begin before a specified timestamp in the RFC3339 format. However, unlike endDate, it will exclude all events where status: "Postponed".

string

Filter events starting at or AFTER this local time (HH:mm), in 24 hour format. Use with timezone.

string

Filter events starting at or BEFORE this local time (HH:mm), in 24 hour format. Use with timezone.

string

Specifies the IANA timezone to be used when querying events by startTime and endTime. This parameter ensures that the time-based filtering is applied consistently in the specified timezone. Defaults to UTC.

day
array of integers

Day of week (1=Sunday ... 7=Saturday).

day
round
array of strings

Filter by round(s).

round
teamId
array of strings

Filter by team ID (home or away).

teamId
homeTeamId
array of strings

Filter by home team ID(s).

homeTeamId
awayTeamId
array of strings

Filter by away team ID(s).

awayTeamId
string

Allows searching for events by team name. It performs a case-insensitive and partial match, allowing you to find teams whose names contain the provided search term as a substring.

venueId
array of strings

Filter by venue ID(s).

venueId
competitionId
array of strings

Filter by competition ID(s).

competitionId
excludeCompetitionId
array of strings

Exclude events belonging to these competition(s).

excludeCompetitionId
broadcasterId
array of strings

Filter by broadcaster ID(s).

broadcasterId
string

Filter by season ID.

eventId
array of strings

Filter to specific event ID(s).

eventId
status
array of strings

Filter by status value(s) - treated as case-insensitive regex patterns. If sport: "FOOTBALL", possible values include PreMatch, FirstHalf, HalfTime, SecondHalf, ExtraTime, ExtraTimeFirstHalf, ExtraTimeHalfTime, ExtraTimeSecondHalf, PenaltyShootout, FullTime, Abandoned, and Postponed. For other sports, possible values are Fixture, InPlay, Result, Postponed, or Abandoned.

status
statusGroup
array of strings

Filters events based on their status being in one of three status groups, each representing related stages or conditions of an event. The status group Fixture is for scheduled events that have not started yet, and returns events with the statuses PreMatch, Fixture, and Postponed, as well as any empty or undefined statuses. The status group Live is for events that are currently in progress, and returns events with the statuses InPlay, FirstHalf, HalfTime, SecondHalf, ExtraTime, ExtraTimeFirstHalf, ExtraTimeHalfTime, ExtraTimeSecondHalf, and PenaltyShootout. The status group Result is for events that have concluded, and returns events with the statuses FullTime, Result, and Abandoned.

statusGroup
sport
array of strings

Filter by sport(s).

sport
date-time

Filter by creation date (from).

date-time

Filter by creation date (to).

integer
≥ 0
Defaults to 0

Zero-based page index.

integer
≥ 1
Defaults to 25

Number of items per page.

string

Field name to sort by.

string
enum
Defaults to ASC

Sort direction.

Allowed:
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json